<section class="bg-white screen-width flex flex-col justify-center items-center mt-5 py-16">
	<div class="w-full mdCustom:w-1/3 p-6 shadow-cvbuilder-border flex flex-col justify-start items-start">
		<h1 class="text-2xl font-bold">{{ t.auth.signup.title | translate }}</h1>
		<p class="text-xl text-bgTwo mb-6">{{ t.auth.signup.description1 | translate }}</p>
		<div class="w-full flex justify-between flex-wrap items-center">
			<button class="google-btn ln-icon" (click)="getLinkedInLink()">Sign in with Linkedin</button>
			<blackbird-google-login (onGoogleResponse)="handleCredentialResponse($event)"></blackbird-google-login>
		</div>
		<p class="text-xl text-bgTwo my-6">{{ t.auth.signup.description2 | translate }}</p>
		<form [formGroup]="registerForm" (ngSubmit)="register()" class="w-full">
			<label class="text-bgTwo">{{ t.auth.signup.fields.name.label | translate }}</label>
			<div class="base-to-draw w-full mb-4" [class.is-focused]="isNameFocused">
				<input
					formControlName="name"
					type="text"
					class="w-full bg-almost-gray p-3"
					(focus)="isNameFocused = true"
					(blur)="isNameFocused = false"
				/>
			</div>
			<label class="text-bgTwo">{{ t.auth.signup.fields.lastName.label | translate }}</label>
			<div class="base-to-draw w-full mb-4" [class.is-focused]="isLastNameFocused">
				<input
					type="text"
					formControlName="lastName"
					class="w-full bg-almost-gray p-3"
					(focus)="isLastNameFocused = true"
					(blur)="isLastNameFocused = false"
				/>
			</div>
			<label class="text-bgTwo">{{ t.auth.signup.fields.email.label | translate }}</label>
			<div class="base-to-draw w-full mb-4" [class.is-focused]="isEmailFocused">
				<input
					type="email"
					formControlName="email"
					class="w-full bg-almost-gray p-3"
					(focus)="isEmailFocused = true"
					(blur)="isEmailFocused = false"
				/>
			</div>
			<p *ngIf="errors.emailExists" class="text-sm text-danger text-left">
				{{ t.auth.signup.errors.emailExists | translate }}
			</p>
			<div class="mt-8 w-full flex flex-row justify-end items-center">
				<button class="transparent-btn px-4" type="button" (click)="location.back()">
					<span class="btn-text text-primary">
						{{ t.common.buttons.back | translate }}
					</span>
				</button>
				<button
					class="cta-primary-btn px-4 bg-primary"
					[disabled]="sending || !registerForm.valid"
					type="submit"
				>
					<span class="btn-text text-white">
						{{ t.common.buttons.continue | translate }}
					</span>
				</button>
			</div>
		</form>
		<div class="mt-6 w-full flex flex-row justify-start items-center">
			<p>
				{{ t.auth.signup.question | translate }}
				<a [routerLink]="routes.auth.login" class="text-secondary">
					{{ t.auth.signup.ctaSignin | translate }}
				</a>
			</p>
		</div>
	</div>
</section>
